%define upstream_name Services_JSON
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.3
Release:     	%mkrel 2
Summary:    	PHP implementaion of json_encode/decode
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_JSON-%{version}.tgz
URL: 		http://pear.php.net/package/Services_JSON
BuildRequires:	php-pear >= 1.4.7

BuildArch: noarch

%description
JSON (JavaScript Object Notation, http://json.org) is a lightweight
data-interchange format. 
    It is easy for humans to read and write. It is easy for machines to
parse and generate. 
    It is based on a subset of the JavaScript Programming Language,
Standard ECMA-262 3rd Edition - December 1999. 
    This feature can also be found in Python. JSON is a text format that is
completely language independent 
    but uses conventions that are familiar to programmers of the C-family
of languages, including
     C, C++, C#, Java, JavaScript, Perl, TCL, and many others. These
properties make JSON an ideal
     data-interchange language.

    This package provides a simple encoder and decoder for JSON notation.
It is intended for use
     with client-side Javascript applications that make use of HTTPRequest
to perform server 
    communication functions - data can be encoded into JSON notation for
use in a client-side
     javascript, or decoded from incoming Javascript requests. JSON format
is native to Javascript, 
    and can be directly eval()'ed with no further parsing overhead.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_JSON.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_JSON.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_JSON
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Services_JSON.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 377276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 1.0.3-1.mga2
+ Revision: 196137
- upgrade to 1.0.3
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 1.0.2-2.mga1
+ Revision: 44232
- removed buildroot definition from .spec
  increase rel
- imported package php-pear-Services_JSON

